# $Id: 02_exists.t,v 1.2 2006/09/13 08:24:11 pythontech Exp $
use strict;
use Test::More tests => 9;

use PythonTech::Cfw;
use Data::Dumper;

use lib 't/lib';

cfwset(abc => 123,
       def => [4, 5],
       ghi => {
	   jkl => "Hallo",
       },
       mno => cfwobj('CfwTest',
		     pqr => 32),
       stu => cfwobj('CfwBad'),
       );

is(cfwexists('abc'), 1, "scalar lookup");
is(cfwexists('def'), 1, "lookup of array");
is(cfwexists('xxunknown'), undef, "undefined value");
is(cfwexists('abc/def'), undef, "undefined second level");
is(cfwexists('ghi/jkl'), 1, "multi-level lookup");
is(cfwexists('ghi/xyz'), undef, "multi-level lookup");
is(cfwexists('mno'), 1, "lookup of object");
is(cfwexists('mno/pqr'), undef, "cannot look inside obj");
is(cfwexists('stu'), 1, "should not instantiate");

1;
